Qyra
ReferenceProjects

List chart summaries in project

List all charts summaries in a project

GET/api/v1/projects/{projectUuid}/chart-summaries

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the project to get charts for

Query parameters

NameTypeRequiredDescription
excludeChartsSavedInDashboardbooleanNoWhether to exclude charts that are saved in dashboards

Responses

200 — Success

{
  "results": [
    {
      "name": "string",
      "description": "string",
      "slug": "string",
      "dashboardSlug": "string",
      "uuid": "string",
      "organizationUuid": "string",
      "projectUuid": "string",
      "pinnedListUuid": "string",
      "spaceUuid": "string",
      "spaceName": "string",
      "dashboardUuid": "string",
      "dashboardName": "string",
      "source": "dbt_explore",
      "chartKind": "line",
      "chartType": "cartesian"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}